/**
 * companyOptions.js
 * Copyright (C) 2008-2009  Tommi Rautava
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

var pm_CompanyOptions = {
	
	onLoad: function companyOptionsOnLoad() {
		try {
			this.highlightingLowStockEnabledCheckboxOnCommand();
			this.highlightingHighTicketPriceCheckboxOnCommand();
			this.highlightingLowTicketLimitsCheckboxOnCommand();
		}
		catch (err) {
			pm_Logger.logError(err);
		}
		
		return true;
	},
	
	highlightingLowStockEnabledCheckboxOnCommand:
	function highlightingLowStockEnabledCheckboxOnCommand() {
		var cb = document.getElementById('company.highlightLowStock.enabled.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		document.getElementById('products.lowStock.warningLevel.textbox.label').disabled = disabled;
		document.getElementById('products.lowStock.warningLevel.textbox').disabled = disabled;

		document.getElementById('products.lowStock.alertLevel.textbox.label').disabled = disabled;
		document.getElementById('products.lowStock.alertLevel.textbox').disabled = disabled;
		
		return true;
	},

	highlightingHighTicketPriceCheckboxOnCommand:
	function highlightingHighTicketPriceCheckboxOnCommand() {
		var cb = document.getElementById('company.highlightHighTicketPrice.enabled.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		document.getElementById('tickets.highPrice.warningLevel.textbox.label').disabled = disabled;
		document.getElementById('tickets.highPrice.warningLevel.textbox').disabled = disabled;

		document.getElementById('tickets.highPrice.alertLevel.textbox.label').disabled = disabled;
		document.getElementById('tickets.highPrice.alertLevel.textbox').disabled = disabled;
		
		return true;
	},

	highlightingLowTicketLimitsCheckboxOnCommand:
	function highlightingLowTicketLimitsCheckboxOnCommand() {
		var cb = document.getElementById('company.highlightLowTicketLimit.enabled.checkbox');
		var disabled = !cb.checked || cb.disabled;
		
		document.getElementById('ticketLimits.lowTicketLimit.soldOutInDays.label').disabled = disabled;
		document.getElementById('ticketLimits.lowTicketLimit.percentage.label').disabled = disabled;

		document.getElementById('ticketLimits.soldOutInDays.warningLevel.textbox.label').disabled = disabled;
		document.getElementById('ticketLimits.soldOutInDays.warningLevel.textbox').disabled = disabled;
		document.getElementById('ticketLimits.percentage.warningLevel.textbox').disabled = disabled;
		
		document.getElementById('ticketLimits.soldOutInDays.alertLevel.textbox.label').disabled = disabled;
		document.getElementById('ticketLimits.soldOutInDays.alertLevel.textbox').disabled = disabled;
		document.getElementById('ticketLimits.percentage.alertLevel.textbox').disabled = disabled;

		return true;
	}

};

pm_Logger.log("pm_CompanyOptions loaded");

//EOF